Skip to content

Projects API

Get a Project

GET /api/v1/projects/{project_name}

Returns the project matching the supplied project name.

Authorization

Requires a valid Cognito ID token in the Authorization header.

Header Type Description Required
Authorization string AWS Cognito ID token Yes

Path Variables

Path Variable Type Description Required
project_name string The name of the project to get Yes

Responses

Status Code Description
200 Returns a project object.
401 Authorization is required
404 Project not found
500 Internal server error

Update a Project

PUT /api/v1/projects/{project_name}

Updates a project.

Authorization

Requires a valid Cognito ID token in the Authorization header.

Header Type Description Required
Authorization string AWS Cognito ID token Yes

Path Variables

Path Variable Type Description Required
project_name string The name of the project to update Yes

Request Body

json { "user": [ { "email": "string", "roles": [ "string" ], "grade": "string" } ], "details": [ { "name": "string", "short_name": "string", "documentation_link": [ "string" ], "project_description": "string", "programme_name":"string", "programme_short_name":"string", "project_dependencies": [ { "name": "string", "description": "string" } ] } ], "developed": [ "string" ], "source_control": [ { "type": "string", "links": [ { "description": "string", "url": "string" } ] } ], "architecture": { "hosting": { "type": [ "string" ], "details": [ "string" ] }, "database": { "main": [ "string" ], "others": [ "string" ] }, "languages": { "main": [ "string" ], "others": [ "string" ] }, "frameworks": { "main": [ "string" ], "others": [ "string" ] }, "cicd": { "main": [ "string" ], "others": [ "string" ] }, "environments": { "dev": "Boolean", "int": "Boolean", "uat": "Boolean", "preprod": "Boolean", "prod": "Boolean", "postprod": "Boolean", }, "infrastructure": { "main": [ "string" ], "others": [ "string" ] }, "publishing": { "main": [ "string" ], "others": [ "string" ] } }, "stage": "string", "supporting_tools": { "code_editors": { "main": [ "string" ], "others": [ "string" ] }, "user_interface": { "main": [ "string" ], "others": [ "string" ] }, "diagrams": { "main": [ "string" ], "others": [ "string" ] }, "project_tracking": "string", "documentation": { "main": [ "string" ], "others": [ "string" ] }, "communication": { "main": [ "string" ], "others": [ "string" ] }, "collaboration": { "main": [ "string" ], "others": [ "string" ] }, "incident_management": "string", "miscellaneous": [] } }

Responses

Status Code Description
200 Returns the same project object as the request body.
400 Invalid environments data
401 Authorization is required
404 Project not found
406 Missing JSON data
409 Project with the same name already exists
500 Internal server error